from ase.all import *
import pylab
import numpy

#Get positions
pos=[]
for iimage in range(1,40):
    atoms=read("Image%d/POSCAR"%iimage)
    scaled=atoms.get_scaled_positions()
    pos.append(scaled[15,1])

pos=numpy.array(pos)

#Get energies
infile=open("energies.txt","r")
energies=[]
for iimage in range(1,40):
    line=infile.readline()
    energies.append(float(line.split()[1]))

energies=numpy.array(energies)
energies=energies-numpy.min(energies)

indices=numpy.argsort(pos)

for ind in indices:
    print ind+1,pos[ind],energies[ind]
